summaryrefslogtreecommitdiff
path: root/build_test_img
diff options
context:
space:
mode:
authorwchang kim <wchang.kim@samsung.com>2018-01-19 18:00:51 +0900
committerWoo Chang Kim <wchang.kim@samsung.com>2018-01-19 09:04:36 +0000
commitd075ab78ed6bc8bd26b458882eb86b7ffb24f3d3 (patch)
tree9278c150ba3f79ef88c9eb2cd95dfc1792e67057 /build_test_img
parenta3dd5deb61df216e5ed614a495e62468c918564b (diff)
downloadbuilding-blocks-d075ab78ed6bc8bd26b458882eb86b7ffb24f3d3.tar.gz
building-blocks-d075ab78ed6bc8bd26b458882eb86b7ffb24f3d3.tar.bz2
building-blocks-d075ab78ed6bc8bd26b458882eb86b7ffb24f3d3.zip
Adding tizen-locale to TC0009 for base-utils
Change-Id: I927928686886caf06d9e91ff6b0ce578fa9df45e
Diffstat (limited to 'build_test_img')
-rwxr-xr-xbuild_test_img/build_snapshot.sh30
-rw-r--r--build_test_img/test_set/TC0009_artik530_bb_list.txt1
2 files changed, 31 insertions, 0 deletions
diff --git a/build_test_img/build_snapshot.sh b/build_test_img/build_snapshot.sh
new file mode 100755
index 0000000..d7f048a
--- /dev/null
+++ b/build_test_img/build_snapshot.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+if [ $# = 1 ]
+then
+SNAPSHOT=$1
+VERSION=""
+else
+ if [ $# = 2 ]
+ then
+ SNAPSHOT=$1
+ VERSION=$2
+ else
+ echo "Usage : build_snapshot.sh <snapshot ver> [platform ver]"
+ echo " snapshot ver : yyyymmdd.n"
+ echo " platform ver : 4.0 or omitted"
+ exit 1
+ fi
+fi
+
+
+TEST_SET_DIR=./test_set
+
+TC_LIST=`ls $TEST_SET_DIR | cut -c1-6`
+
+for TC in $TC_LIST
+do
+ ./build.sh $SNAPSHOT $TC $VERSION
+done
+
+
diff --git a/build_test_img/test_set/TC0009_artik530_bb_list.txt b/build_test_img/test_set/TC0009_artik530_bb_list.txt
index 923c109..effc2fd 100644
--- a/build_test_img/test_set/TC0009_artik530_bb_list.txt
+++ b/build_test_img/test_set/TC0009_artik530_bb_list.txt
@@ -8,3 +8,4 @@ building-blocks-sub1-Preset_partition-3parts_ramdisk_recovery
building-blocks-sub2-domain_API-AppFramework-TPK_Installation
# package manager & external sd
building-blocks-sub2-domain_API-Base-Utils
+tizen-locale